package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.commands.AbstractCommand;
import cn.dg32z.lon.player.PlayerData;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.command.ConsoleCommandSender;
import org.bukkit.entity.Player;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/ConsoleDebug.class */
public final class ConsoleDebug extends AbstractCommand {
    public ConsoleDebug() {
        super("Toggle console debug output", "lonac.commands.console-debug", false);
    }

    public void execute(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        boolean isOutput;
        if (!(sender instanceof ConsoleCommandSender)) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.consoledebug.only-console"));
            return;
        }
        if (args.length < 2) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.consoledebug.usage"));
            return;
        }
        String debugType = args[0].toLowerCase();
        Player targetPlayer = Bukkit.getPlayer(args[1]);
        if (targetPlayer == null) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[1]));
            return;
        }
        PlayerData playerData = PluginLoader.INSTANCE.getPlayerDataManager().getPlayer(targetPlayer);
        if (playerData == null) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(targetPlayer, "not-data-user"));
            return;
        }
        boolean z = -1;
        switch (debugType.hashCode()) {
            case -40300674:
                if (debugType.equals("rotation")) {
                    z = true;
                    break;
                }
                break;
            case 1161234575:
                if (debugType.equals("prediction")) {
                    z = false;
                    break;
                }
                break;
        }
        switch (z) {
            case false:
                isOutput = playerData.getCheckManager().getMotionDebugHandler().toggleConsoleOutput();
                break;
            case true:
                isOutput = playerData.getCheckManager().getRotationDebugHandler().toggleConsoleOutput();
                break;
            default:
                sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.consoledebug.usage"));
                return;
        }
        if (isOutput) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(targetPlayer, "commands.consoledebug.enable").replace("%type%", debugType));
        } else {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(targetPlayer, "commands.consoledebug.disable").replace("%type%", debugType));
        }
    }

    public List<String> tabCompleter(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length == 1) {
            return (List) Stream.of((Object[]) new String[]{"prediction", "rotation"}).filter(type -> {
                return type.startsWith(args[0].toLowerCase());
            }).collect(Collectors.toList());
        }
        if (args.length == 2) {
            return (List) Bukkit.getOnlinePlayers().stream().map((v0) -> {
                return v0.getName();
            }).filter(name -> {
                return name.toLowerCase().startsWith(args[1].toLowerCase());
            }).collect(Collectors.toList());
        }
        return List.of();
    }
}
